curl -X PUT \
/public/checkout/cart/{id}/confirm-otp \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"otp": "",
"email": ""
}'import requests
url = "https://coreapi.io/public/checkout/cart/{id}/confirm-otp"
payload = {
"otp": "<string>",
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({otp: '<string>', email: 'jsmith@example.com'})
};
fetch('https://coreapi.io/public/checkout/cart/{id}/confirm-otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/public/checkout/cart/{id}/confirm-otp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'otp' => '<string>',
'email' => 'jsmith@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"price": {
"amountDue": 123,
"currencyCode": "EUR",
"netAmount": 123,
"taxes": [
{
"netAmount": 123,
"taxAmount": 123,
"rate": 123
}
],
"discountDetails": [
"<string>"
]
},
"id": "c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b",
"status": "open",
"customer": "c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b",
"email": "<string>",
"invoiceAddress": {
"id": "<string>",
"vatId": "DE123456789",
"type": "TYPE_DEFAULT",
"default": "true",
"status": "active",
"city": "Berlin",
"zip": "12345",
"street": "Musterstraße",
"houseNumber": "1a",
"countryCode": "DE",
"companyName": "ACME Inc.",
"salutation": "Herr",
"addition": "c/o John Doe",
"costCentre": "123456789",
"firstName": "John",
"lastName": "Doe"
},
"customerPrefill": {},
"paymentMethod": "c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b",
"items": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 1,
"quantityDetails": {
"aggregationType": "count",
"unit": "<string>",
"description": "<string>",
"quantityEditable": true
},
"price": {
"currencyCode": "EUR",
"taxRate": 123,
"totalNetAmount": 10,
"type": "recurring",
"calculationType": "flat_fee",
"payInAdvance": true,
"price": {
"amount": 123
},
"recurring": {
"interval": "day",
"intervalCount": 123,
"trialPeriodDays": 123,
"recurringAmount": 123
},
"freeUnits": 1
},
"type": "product",
"periods": [
{
"contractPeriod": "<string>",
"cancellationPeriod": "<string>"
}
]
}
],
"completionDetails": [
"<string>"
],
"settings": {
"allowCoupons": true,
"forceCompany": true,
"backButton": {
"url": "https://example.com",
"label": "Back to the shop"
}
}
}Confirms the OTP of a cart.
Confirms the OTP of a cart to authenticate the customer.
curl -X PUT \
/public/checkout/cart/{id}/confirm-otp \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"otp": "",
"email": ""
}'import requests
url = "https://coreapi.io/public/checkout/cart/{id}/confirm-otp"
payload = {
"otp": "<string>",
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({otp: '<string>', email: 'jsmith@example.com'})
};
fetch('https://coreapi.io/public/checkout/cart/{id}/confirm-otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/public/checkout/cart/{id}/confirm-otp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'otp' => '<string>',
'email' => 'jsmith@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"price": {
"amountDue": 123,
"currencyCode": "EUR",
"netAmount": 123,
"taxes": [
{
"netAmount": 123,
"taxAmount": 123,
"rate": 123
}
],
"discountDetails": [
"<string>"
]
},
"id": "c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b",
"status": "open",
"customer": "c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b",
"email": "<string>",
"invoiceAddress": {
"id": "<string>",
"vatId": "DE123456789",
"type": "TYPE_DEFAULT",
"default": "true",
"status": "active",
"city": "Berlin",
"zip": "12345",
"street": "Musterstraße",
"houseNumber": "1a",
"countryCode": "DE",
"companyName": "ACME Inc.",
"salutation": "Herr",
"addition": "c/o John Doe",
"costCentre": "123456789",
"firstName": "John",
"lastName": "Doe"
},
"customerPrefill": {},
"paymentMethod": "c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b",
"items": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 1,
"quantityDetails": {
"aggregationType": "count",
"unit": "<string>",
"description": "<string>",
"quantityEditable": true
},
"price": {
"currencyCode": "EUR",
"taxRate": 123,
"totalNetAmount": 10,
"type": "recurring",
"calculationType": "flat_fee",
"payInAdvance": true,
"price": {
"amount": 123
},
"recurring": {
"interval": "day",
"intervalCount": 123,
"trialPeriodDays": 123,
"recurringAmount": 123
},
"freeUnits": 1
},
"type": "product",
"periods": [
{
"contractPeriod": "<string>",
"cancellationPeriod": "<string>"
}
]
}
],
"completionDetails": [
"<string>"
],
"settings": {
"allowCoupons": true,
"forceCompany": true,
"backButton": {
"url": "https://example.com",
"label": "Back to the shop"
}
}
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
Cart identifier
Body
The updated Cart resource
Antwort
Cart resource updated
Show child attributes
Show child attributes
"c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b"
The status of the cart.
Possible values:
open: The cart is open and can be edited.confirming: The cart is confirming and cannot be edited.
"open"
The customer who owns the cart.
"c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b"
Show child attributes
Show child attributes
The customer prefill data which should be used to prefill the checkout form.
The payment method which should be used for the cart.
Show child attributes
Show child attributes
"c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b"
The items of the cart.
Show child attributes
Show child attributes
Details shown to the customer when the cart is completed.
The settings of the cart.
Show child attributes
Show child attributes
War diese Seite hilfreich?